import SwiftUI

struct HistoricView: View {
    
    @ObservedObject var historicListVM: HistoricListVM
    
    var body: some View {
        VStack {
            TitlePageFrame(Text: "Historic", ImageWidth: 200, ImageHeight: 200)
            
            // Afficher chaque groupe de dates dans une section distincte
            ForEach(historicListVM.groupByDate().sorted(by: { $0.key > $1.key }), id: \.key) { key, historicVMs in
                VStack(alignment: .leading) {
                    Text(key) // Affiche la date comme titre de section
                    
                    List(historicVMs) { historicVM in
                        GameResumeFrame(historicVm: historicVM)
                    }
                }
                .padding(.horizontal, 10)
            }
            
            Spacer()
        }
    }
}

struct HistoricView_Previews: PreviewProvider {
    static var previews: some View {
        HistoricView(historicListVM: HistoricListVM())
    }
}
